#
#
# qmake configuration for macx-pbuilder (Mac OS X + Project Builder)
#

MAKEFILE_GENERATOR	= PROJECTBUILDER
TEMPLATE		= app
CONFIG			+= qt warn_on release lib_version_first incremental plugin_no_soname link_prl

TQMAKE_CC		= 
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_RESOURCE		= /Developer/Tools/Rez
TQMAKE_CFLAGS		= -pipe
TQMAKE_CFLAGS_DEPS	= -M
TQMAKE_CFLAGS_WARN_ON	= -Wall -W
TQMAKE_CFLAGS_WARN_OFF	=
TQMAKE_CFLAGS_RELEASE	= -Os
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	= -fPIC
TQMAKE_EXTENSION_SHLIB	= dylib
TQMAKE_CFLAGS_YACC	= -Wno-unused -Wno-parentheses

TQMAKE_CXX		= 
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_DEPS	= $$TQMAKE_CFLAGS_DEPS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC

TQMAKE_INCDIR		= /usr/local/include \
	/System/Library/Frameworks/CarbonCore.framework/Headers 
TQMAKE_LIBDIR		= 
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	= /System/Library/Frameworks/OpenGL.framework/Headers \
	/System/Library/Frameworks/AGL.framework/Headers/

TQMAKE_LINK		= c++
TQMAKE_LINK_SHLIB	= c++
TQMAKE_LFLAGS		=
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_APP	= -prebind
TQMAKE_LFLAGS_SHLIB	= -dynamiclib
TQMAKE_LFLAGS_INCREMENTAL = -undefined suppress -flat_namespace
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
#TQMAKE_LFLAGS_SONAME	= -install_name$${LITERAL_WHITESPACE}@executable_path/../Frameworks/
TQMAKE_LFLAGS_THREAD	=
TQMAKE_RPATH		=

TQMAKE_LIBS_DYNLOAD	=
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_THREAD	=
TQMAKE_LIBS_OPENGL	= -framework OpenGL -framework AGL
TQMAKE_LIBS_OPENGL_QT	= $$TQMAKE_LIBS_OPENGL

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cq
TQMAKE_RANLIB		= ranlib -s

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_COPY_FILE		= $$TQMAKE_COPY
TQMAKE_COPY_DIR		= $$TQMAKE_COPY -r
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
